Commit d3bdbb2b authored by Sam Hocevar's avatar Sam Hocevar

* ./debian/*: created legacy packages for smooth upgrades to the upcoming

    0.5.x version, and created the vlc-plugin-svgalib package.
parent 674681b3
......@@ -2,7 +2,7 @@ Source: vlc
Section: graphics
Priority: optional
Maintainer: Samuel Hocevar <sam@zoy.org>
Build-Depends: debhelper (>=2.2.0), xlibs-dev, xlibs-pic, libgnome-dev, libggi2-dev, libglide2-dev [i386], libesd0-dev, libsdl1.2-dev (>=1.2.2-3.1), libqt-dev, libasound2-dev (>=0.9.0beta10a), libarts-dev, libmad0-dev, liblircclient-dev, a52dec-dev, aalib1-dev, libdvbpsi1-dev, mozilla-dev, kdelibs-dev, dvb-dev, libdv-dev, libxosd-dev (>=1.0.2-1)
Build-Depends: debhelper (>=2.2.0), xlibs-dev, xlibs-pic, libgnome-dev, libggi2-dev, libglide2-dev [i386], libesd0-dev, libsdl1.2-dev (>=1.2.2-3.1), libqt-dev, libasound2-dev (>=0.9.0beta10a), libarts-dev, libmad0-dev, liblircclient-dev, a52dec-dev, aalib1-dev, libdvbpsi1-dev, mozilla-dev, kdelibs-dev, dvb-dev, libdv-dev, libxosd-dev (>=1.0.2-1), svgalibg1-dev (>=1.4.0)
Standards-Version: 3.5.6
Package: vlc
......@@ -18,7 +18,7 @@ Description: a free MPEG, DVD and DivX player
Package: libvlc0-dev
Architecture: any
Depends: ${shlibs:Depends}
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: development files for the VideoLAN Client
VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
.
......@@ -37,6 +37,12 @@ Description: GNOME frontend for vlc
This plugin adds a Gnome interface to vlc, the VideoLAN Client. To
activate it, use the `--intf gnome' flag or run the `gnome-vlc' program.
Package: vlc-gnome
Architecture: any
Depends: gnome-vlc
Description: Legacy package that you should remove.
This package is now called gnome-vlc.
Package: gvlc
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
......@@ -49,6 +55,12 @@ Description: Gtk+ frontend for vlc
This plugin adds a Gtk+ interface to vlc, the VideoLAN Client. To
activate it, use the `--intf gtk' flag or run the `gvlc' program.
Package: vlc-gtk
Architecture: any
Depends: gvlc
Description: Legacy package that you should remove.
This package is now called gvlc.
Package: vlc-plugin-esd
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
......@@ -61,6 +73,12 @@ Description: Esound audio output plugin for vlc
VideoLAN Client. To activate it, use the `--aout esd' flag or select
the `esd' aout plugin from the preferences menu.
Package: vlc-esd
Architecture: any
Depends: vlc-plugin-esd
Description: Legacy package that you should remove.
This package is now called vlc-plugin-esd.
Package: vlc-plugin-alsa
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
......@@ -73,6 +91,12 @@ Description: ALSA audio output plugin for vlc
vlc, the VideoLAN Client. To activate it, use the `--aout alsa' flag or
select the `alsa' aout plugin from the preferences menu.
Package: vlc-alsa
Architecture: any
Depends: vlc-plugin-alsa
Description: Legacy package that you should remove.
This package is now called vlc-plugin-alsa.
Package: vlc-plugin-sdl
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
......@@ -86,6 +110,12 @@ Description: SDL video and audio output plugin for vlc
`--aout sdl' flags or select the `sdl' vout or aout plugin from the
preferences menu.
Package: vlc-sdl
Architecture: any
Depends: vlc-plugin-sdl
Description: Legacy package that you should remove.
This package is now called vlc-plugin-sdl.
Package: vlc-plugin-ggi
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
......@@ -98,6 +128,12 @@ Description: GGI video output plugin for vlc
the `--vout ggi' flag or select the `ggi' vout plugin from the preferences
menu.
Package: vlc-ggi
Architecture: any
Depends: vlc-plugin-ggi
Description: Legacy package that you should remove.
This package is now called vlc-plugin-ggi.
Package: vlc-plugin-glide
Architecture: i386
Depends: vlc (= ${Source-Version}), libglide2
......@@ -110,6 +146,12 @@ Description: Glide video output plugin for vlc
it, use the `--vout glide' flag or select the `glide' vout plugin from
the preferences menu.
Package: vlc-glide
Architecture: any
Depends: vlc-plugin-glide
Description: Legacy package that you should remove.
This package is now called vlc-plugin-glide.
Package: qvlc
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
......@@ -122,6 +164,12 @@ Description: Qt frontend for vlc
This plugin adds a Qt interface to vlc, the VideoLAN Client. To
activate it, use the `--intf qt' flag or run the `qvlc' program.
Package: vlc-qt
Architecture: any
Depends: qvlc
Description: Legacy package that you should remove.
This package is now called qvlc.
Package: vlc-plugin-mad
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
......@@ -135,6 +183,12 @@ Description: MAD audio codec plugin for vlc
this plugin, use the `--mpeg_adec mad' flag or select the `mad' MPEG
decoder from the preferences menu.
Package: vlc-mad
Architecture: any
Depends: vlc-plugin-mad
Description: Legacy package that you should remove.
This package is now called vlc-plugin-mad.
Package: vlc-plugin-arts
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
......@@ -147,6 +201,12 @@ Description: aRts audio output plugin for vlc
VideoLAN Client. To activate it, use the `--aout arts' flag or
select the `arts' aout plugin from the preferences menu.
Package: vlc-arts
Architecture: any
Depends: vlc-plugin-arts
Description: Legacy package that you should remove.
This package is now called vlc-plugin-arts.
Package: vlc-plugin-lirc
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
......@@ -158,6 +218,12 @@ Description: lirc (infrared remote control) interface plugin for vlc
This plugin is an infrared lirc interface for vlc, the
VideoLAN Client. To activate it, use the `--intf lirc' flag.
Package: vlc-lirc
Architecture: any
Depends: vlc-plugin-lirc
Description: Legacy package that you should remove.
This package is now called vlc-plugin-lirc.
Package: vlc-plugin-aa
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
......@@ -170,6 +236,12 @@ Description: ASCII art video output plugin for vlc
Client. To activate it, use the `--vout aa' flag or select the `aa'
vout plugin from the preferences menu.
Package: vlc-aa
Architecture: any
Depends: vlc-plugin-aa
Description: Legacy package that you should remove.
This package is now called vlc-plugin-aa.
Package: vlc-plugin-xosd
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
......@@ -204,3 +276,15 @@ Description: KDE frontend for vlc
.
This plugin adds a KDE interface to vlc, the VideoLAN Client. To
activate it, use the `--intf kde' flag or run the `kvlc' program.
Package: vlc-plugin-svgalib
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: SVGAlib video output plugin for vlc
VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
.
This plugin adds support for SVGAlib to vlc, the VideoLAN Client. To
activate it, use the `--vout svgalib' flag or select the `svgalib' video
output plugin from the preferences menu. Note that you will need root
permissions to use SVGAlib.
......@@ -8,16 +8,32 @@
# This is the debhelper compatability version to use.
export DH_COMPAT=3
#
# Compilation options
export FFMPEG_VERSION=cvs
export FAAD_VERSION=cvs
export CONFIG_FLAGS="--enable-release --prefix=/usr --enable-gnome --enable-gtk --enable-familiar --enable-fb --enable-ggi --enable-sdl --enable-esd --enable-qt --enable-mad --enable-arts --enable-alsa --enable-lirc --enable-a52 --enable-aa --enable-dvbpsi --enable-xosd --enable-mozilla --enable-kde --enable-ffmpeg --with-ffmpeg-tree=ffmpeg-$(FFMPEG_VERSION) --enable-mp4 --enable-dvb --enable-dv --enable-faad --with-faad-tree=faad-$(FAAD_VERSION)"
#
FFMPEG_VERSION = cvs
FAAD_VERSION = cvs
CONFIG_FLAGS = --enable-release --prefix=/usr --enable-gnome --enable-gtk --enable-familiar --enable-fb --enable-ggi --enable-sdl --enable-esd --enable-qt --enable-mad --enable-arts --enable-alsa --enable-lirc --enable-a52 --enable-aa --enable-dvbpsi --enable-xosd --enable-mozilla --enable-kde --enable-mp4 --enable-dvb --enable-dv --enable-svgalib
CONFIG_FLAGS += --enable-ffmpeg --with-ffmpeg-tree=ffmpeg-$(FFMPEG_VERSION)
CONFIG_FLAGS += --enable-faad --with-faad-tree=faad-$(FAAD_VERSION)
ifeq ($(DEB_BUILD_ARCH),i386)
CONFIG_FLAGS += --enable-glide
else
ARCH_EXCLUDE = -Nvlc-plugin-glide
endif
# Remove --without-dvdcss here in non-totalitarian countries
export DVDCSS_FLAGS="--enable-dvd --without-dvdcss"
CONFIG_FLAGS += --enable-dvd --without-dvdcss
VIDDIR = usr/share/vlc
PIXDIR = usr/share/pixmaps
GNOMEDIR = usr/share/gnome/apps/Multimedia
export VIDDIR="usr/share/vlc"
export PIXDIR="usr/share/pixmaps"
export GNOMEDIR="usr/share/gnome/apps/Multimedia"
#
# Build rules
#
build: build-stamp
build-stamp:
......@@ -27,16 +43,8 @@ build-stamp:
test -d ffmpeg-$(FFMPEG_VERSION)
(cd ffmpeg-$(FFMPEG_VERSION) ; ./configure ; make)
case $(DEB_BUILD_ARCH) in \
i386) \
ARCH_FLAGS="--enable-glide" ;; \
*) \
ARCH_FLAGS="" ;; \
esac ;\
./configure --mandir=$${prefix}/share/man \
--infodir=$${prefix}/share/info \
$(shell echo $(CONFIG_FLAGS)) $$ARCH_FLAGS \
$(shell echo $(DVDCSS_FLAGS))
--infodir=$${prefix}/share/info $(CONFIG_FLAGS)
$(MAKE)
......@@ -166,6 +174,11 @@ endif
mv debian/vlc/$(VIDDIR)/kvlc32x32.xpm debian/kvlc/$(VIDDIR)/kvlc.xpm
mv debian/vlc/$(VIDDIR)/kvlc48x48.png debian/kvlc/$(PIXDIR)/kvlc.png
# Package: vlc-plugin-svgalib
ln -s vlc debian/vlc-plugin-svgalib/usr/share/doc/vlc-plugin-svgalib
mv debian/vlc/usr/lib/vlc/video_output/svgalib.so \
debian/vlc-plugin-svgalib/usr/lib/vlc/video_output
# Clean up
rm -f debian/vlc/$(VIDDIR)/*.png
......@@ -181,7 +194,7 @@ binary-arch: build install
dh_testdir
dh_testroot
# dh_installdebconf
dh_installdocs
dh_installdocs -p vlc
# dh_installexamples
dh_installmenu
dh_installman doc/vlc.1 -p vlc
......@@ -194,17 +207,10 @@ binary-arch: build install
dh_makeshlibs
dh_installdeb
# dh_perl
case $(DEB_BUILD_ARCH) in \
i386) \
ARCH_EXCLUDE="" ;; \
*) \
ARCH_EXCLUDE="-Nvlc-plugin-glide" ;; \
esac ;\
dh_shlibdeps $$ARCH_EXCLUDE ;\
dh_gencontrol $$ARCH_EXCLUDE ;\
dh_md5sums $$ARCH_EXCLUDE ;\
dh_builddeb $$ARCH_EXCLUDE
dh_shlibdeps $(ARCH_EXCLUDE)
dh_gencontrol $(ARCH_EXCLUDE)
dh_md5sums $(ARCH_EXCLUDE)
dh_builddeb $(ARCH_EXCLUDE)
binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
......
usr/lib/vlc/video_output
usr/share/doc
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment